View Issue Details

IDProjectCategoryView StatusLast Update
0000272SnakeoilOSweb-apppublic2019-08-31 16:28
Reporteragent_kith Assigned Toagent_kith  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.1.7Fixed in Version1.1.7 
Summary0000272: Activated: Add a mechanism to perform release updates
Description

to check for release

do-release-upgrade -c # If returns 0, it means an update is available. Requires Internet connection. Even if there is no Internet, it will return 1, so should be OK

To check if there are packages to update.

IFS=';' read updates security_updates << (/usr/lib/update-notifier/apt-check 2>&1)
echo $updates
echo $security_updates 
TagsNo tags attached.

Activities

agent_kith

2018-12-13 10:17

administrator   ~0000160

This command should do a release upgrade without prompts
do-release-upgrade -f DistUpgradeViewNonInteractive

agent_kith

2018-12-13 10:31

administrator   ~0000161

do-release-upgrade is not gonna work as appstream is broken.

sudo apt install appstream/xenial-backports

Now your appstream package should be upgraded to version 0.10.1.

$ appstreamcli --version
AppStream CLI tool version: 0.10.1

agent_kith

2019-02-12 17:52

administrator   ~0000172

Last edited: 2019-02-12 17:55

View 2 revisions

Maybe I can try and use this: https://www.ostechnix.com/upgrade-ubuntu-single-command/

Edit: Nvmd. Doesn't work.

agent_kith

2019-08-28 13:02

administrator   ~0000228

snakeoil-ngx: f90a23d
snakeoil-rest: 83ef1c7

agent_kith

2019-08-31 16:28

administrator   ~0000233

snakeoil-rest: 6fd8047

Issue History

Date Modified Username Field Change
2018-12-13 08:37 agent_kith New Issue
2018-12-13 08:37 agent_kith Status new => assigned
2018-12-13 08:37 agent_kith Assigned To => agent_kith
2018-12-13 10:17 agent_kith Note Added: 0000160
2018-12-13 10:31 agent_kith Note Added: 0000161
2019-01-19 13:16 agent_kith Summary Add some commands to update Ubuntu packages, and perform a release upgrade if one is available => Add some commands to update Ubuntu packages
2019-01-20 09:29 agent_kith Summary Add some commands to update Ubuntu packages => Activated: Add some commands to update Ubuntu packages
2019-01-20 09:29 agent_kith Description Updated View Revisions
2019-02-09 12:14 agent_kith Target Version 1.1.2 => 1.1.3
2019-02-12 17:52 agent_kith Note Added: 0000172
2019-02-12 17:55 agent_kith Note Edited: 0000172 View Revisions
2019-03-01 18:47 agent_kith Target Version 1.1.3 => 1.1.4
2019-03-16 07:02 agent_kith Summary Activated: Add some commands to update Ubuntu packages => Activated: Add a mechanism to update Ubuntu packages
2019-04-06 18:01 agent_kith Target Version 1.1.4 => 1.1.5
2019-05-05 09:49 agent_kith Target Version 1.1.5 => 1.2.0
2019-05-05 09:49 agent_kith Summary Activated: Add a mechanism to update Ubuntu packages => Activated: Add a mechanism to perform release updates
2019-05-15 07:55 agent_kith Target Version 1.2.0 => 1.1.6
2019-06-23 09:33 agent_kith Target Version 1.1.6 => 1.2.0
2019-08-03 09:49 agent_kith Target Version 1.2.0 => 1.1.7
2019-08-28 13:02 agent_kith Note Added: 0000228
2019-08-31 16:28 agent_kith Status assigned => closed
2019-08-31 16:28 agent_kith Resolution open => fixed
2019-08-31 16:28 agent_kith Fixed in Version => 1.1.7
2019-08-31 16:28 agent_kith Note Added: 0000233